# Function spatialFilter

- spatialFilter<T>(queryable, spatialFilter): Promise<T[]>

- Filters a set of Graphics or Features down to only those that intersect with a given geometry.

  #### Type Parameters

  - T extends Graphic | Feature

  #### Parameters

  - queryable: T[]

    The array of Graphics/Features to query against an intersecting geometry.

  - spatialFilter: GeometryUnion

    The geometry with which to filter the queryable items.

  #### Returns Promise<T[]>